'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toBeInTheDocument = toBeInTheDocument;

var _jestMatcherUtils = require('jest-matcher-utils');

var _utils = require('./utils');

function toBeInTheDocument(element) {
  var _this = this;

  if (element !== null) {
    (0, _utils.checkHtmlElement)(element, toBeInTheDocument, this);
  }

  (0, _utils.checkDocumentKey)(global.document, 'documentElement', toBeInTheDocument);

  return {
    pass: document.documentElement.contains(element),
    message: function message() {
      return [(0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toBeInTheDocument`, 'element', ''), '', (0, _jestMatcherUtils.RECEIVED_COLOR)(`${(0, _jestMatcherUtils.stringify)(document.documentElement.cloneNode(false))} ${_this.isNot ? 'contains:' : 'does not contain:'} ${(0, _jestMatcherUtils.stringify)(element ? element.cloneNode(false) : element)}
        `)].join('\n');
    }
  };
}