'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toContainHTML = toContainHTML;

var _jestMatcherUtils = require('jest-matcher-utils');

var _utils = require('./utils');

function checkHtmlText(htmlText) {
  var htmlElement = typeof htmlText === 'string' ? new DOMParser().parseFromString(htmlText, 'text/html').body.firstChild : null;

  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  _utils.checkHtmlElement.apply(undefined, [htmlElement].concat(args));
}

function toContainHTML(container, htmlText) {
  var _this = this;

  (0, _utils.checkHtmlElement)(container, toContainHTML, this);
  checkHtmlText(htmlText, toContainHTML, this);

  return {
    pass: container.outerHTML.includes(htmlText),
    message: function message() {
      return [(0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toContainHTML`, 'element', ''), '', 'Received:', `  ${(0, _jestMatcherUtils.printReceived)(container.cloneNode(false))}`].join('\n');
    }
  };
}